# Uses of Class
net.sourceforge.jiu.codecs.WrongFileFormatException

Packages that use WrongFileFormatException
Package
Description
net.sourceforge.jiu.codecs
net.sourceforge.jiu.codecs.jpeg
net.sourceforge.jiu.codecs.tiff

## Uses of WrongFileFormatException in net.sourceforge.jiu.codecs

Methods in net.sourceforge.jiu.codecs that throw WrongFileFormatException
Modifier and Type
Method
Description
`private void`
IFFCodec.`checkAndLoad()`
`private void`
BMPCodec.`load()`
`private void`
PalmCodec.`load()`
`private void`
PCDCodec.`load()`
Attempts to load an image.
`private void`
PNGCodec.`load()`
`private void`
PNMCodec.`load()`
Loads an image from a PNM input stream.
`private void`
PSDCodec.`load()`
Attempts to load an Image from argument stream `in` (which could, as an example, be a `RandomAccessFile` instance, it implements the `DataInput` interface).
`private void`
BMPCodec.`loadHeader()`
`private void`
PalmCodec.`loadHeader(DataInput in)`
`private void`
PSDCodec.`loadHeader()`
Reads the PSD header to private members of this class instance.
`private void`
PalmCodec.`loadImage(DataInput in)`
`private void`
PalmCodec.`loadPalette(DataInput in)`
`private void`
PNMCodec.`loadType()`
Loads the first two characters (which are expected to be a capital P followed by a decimal digit between 1 and 6, inclusively) and skips following LF and CR characters.
`void`
IFFCodec.`process()`
`void`
PCDCodec.`process()`
Checks the parameter and loads an image.
`void`
PNGCodec.`process()`
`private void`
RASCodec.`readHeader()`

## Uses of WrongFileFormatException in net.sourceforge.jiu.codecs.jpeg

Methods in net.sourceforge.jiu.codecs.jpeg that throw WrongFileFormatException
Modifier and Type
Method
Description
`private void`
JPEGCodec.`load()`
`void`
JPEGCodec.`process()`

## Uses of WrongFileFormatException in net.sourceforge.jiu.codecs.tiff

Methods in net.sourceforge.jiu.codecs.tiff that throw WrongFileFormatException
Modifier and Type
Method
Description
`private void`
TIFFCodec.`load()`
Attempts to load an image from a file in the TIFF format.
`private void`
TIFFCodec.`load(TIFFImageFileDirectory ifd)`
`private void`
TIFFCodec.`readHeader()`
Reads the first eight bytes from the input file, checks if this is a valid TIFF file and stores byte order and offset of the first image file directory.